local assets=
{
	Asset("ANIM", "anim/rutabeeta.zip"),
    --Asset("ANIM", "anim/rutabeeta_plant.zip"),
}

local prefabs=
{
	"rutabeeta_plant",
}

local function onpickedfn(inst)
	inst:Remove()
end


local function fn(Sim)
    --Rutabeeta you eat is defined in in rutabeeta.lua
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	if TheSim:GetGameID() =="DST" then inst.entity:AddNetwork() end

    inst.AnimState:SetBank("rutabeeta")
    inst.AnimState:SetBuild("rutabeeta")
    inst.AnimState:PlayAnimation("planted")
    inst.AnimState:SetRayTestOnBB(true);
    
    inst:AddComponent("inspectable")
    
    inst:AddComponent("pickable")
    inst.components.pickable.picksound = "dontstarve/wilson/pickup_plants"
    inst.components.pickable:SetUp("rutabeeta", 10)
	inst.components.pickable.onpickedfn = onpickedfn
    
    inst.components.pickable.quickpick = true
    
	MakeSmallBurnable(inst)
    MakeSmallPropagator(inst)
	
    return inst
end

return Prefab( "common/inventory/rutabeeta_plant", fn, assets) 
